> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get a webhook by ID



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /webhooks/{webhook_id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /webhooks/{webhook_id}:
    get:
      tags:
        - developers
      summary: Get org webhook by ID
      description: Get org webhook
      operationId: TrioFoundationWeb.IAM.OrgWebhookController.show
      parameters:
        - description: Webhook ID
          in: path
          name: webhook_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_webhook_response'
          description: Gotten webhook
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Org_webhook_response:
      description: A org webhook for communication
      example:
        data:
          authentication_method: url_secret
          company_id: 019f2433-fb00-c23b-da37-2fe6a4f4f5a6
          entity_id: 019f2433-fb00-37f3-5a3c-b516763fa0b5
          event_categories_allowed:
            - category: boleto
              types:
                - settled
                - created
          id: 019f2433-fb00-498e-3527-783b51c21536
          inserted_at: '2026-07-02T19:00:14.208505Z'
          notification_key: KXe1JxmdHIcRhAsnbaTBvSGNSQli4I798oGMb8abeMBcKzJoUpWkOQ==
          notification_secret: some_notification_secret
          notification_url: https://mynotificationurl.com/endpoint
          oauth_client_id: null
          oauth_client_secret: null
          oauth_scope: ''
          oauth_url: null
          org_id: 019f2433-fb00-c2dd-7d0b-395b07e6a93f
          updated_at: '2026-07-02T19:00:14.208514Z'
      properties:
        data:
          $ref: '#/components/schemas/Org_webhook_response'
      title: Org webhook response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````